import Vue from 'vue'
import App from './App.vue'
import router from './router'
import './libs/flexible.js'; //自适应方案核心： 阿里可伸缩布局方案 lib-flexible px转rem：px2rem，它有webpack的px2rem-loader 这两项加起来可以实现PC端分辨率适配
import ViewUI from 'view-design';
import 'view-design/dist/styles/iview.css';
import './assets/styles/common.css';
import './assets/iconfont/iconfont.css';
import store from './store'
import {get,post,patch,put,deletefn,axiosAll} from './libs/http.js';
//定义全局变量
Vue.prototype.$post = post
Vue.prototype.$get = get
Vue.prototype.$patch = patch
Vue.prototype.$put = put
Vue.prototype.$deletefn = deletefn
Vue.prototype.$axiosAll = axiosAll
import Common from './components/common' //自定义通用全局组件
// 注册自定义通用全局组件
Vue.use(Common)
Vue.config.productionTip = false
Vue.use(ViewUI)
// const bus = new Vue()
// Vue.prototype.$bus = bus; //实现全局bus 兄弟组件
new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')